Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 2)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 3)
@@ -8,103 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: init_pegrid.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.28  2006/04/26 13:23:32  raasch
 ! lcmuk does not understand the !$ comment so a cpp-directive is required
-!
-! Revision 1.27  2006/04/26 12:50:32  raasch
-! Get the number of OpenMP threads
-!
-! Revision 1.26  2006/02/23 12:34:57  raasch
-! Calculation of nanz_sums, nanz_2dh and nanz_3d moved to init_3d_model,
-! anz_y.. renamed ngp_y.., + MPI type type_x_int
-!
-! Revision 1.25  2005/10/20 15:37:36  raasch
-! error removed: the last PE in a row is not allowed to have more grid points
-! than the other PES (only less)
-!
-! Revision 1.24  2005/03/26 20:35:06  raasch
-! Extensions for non-cyclic boundary conditions
-! MIN function must be used instead of MAX for deciding if a switch to PE0 is
-! useful (multigrid-method), maximuma_grid_level_l is defined in case that a
-! pre-defined value for mg_switch_to_pe0_level is given (caused errors on NEC)
-!
-! Revision 1.23  2004/04/30 12:27:13  raasch
-! Setting 1d-decomposition as default on decalpha, indices for direct
-! transpositions z --> y and y --> x added, +module poisfft_mod,
-! data types for mpi_alltoallv removed (not neeeded any more),
-! poisfft_hybrid is no longer enforced in case of a 1d-decomposition along x,
-! an enlarged grid which will fit all transposition demands is calculated,
-! impulse_advec renamed momentum_advec
-!
-! Revision 1.22  2003/10/29 08:56:20  raasch
-! Number of possible grid levels for the mulitgrid-method are calculated
-! based on the total domain grid
-!
-! Revision 1.21  2003/08/01 08:40:03  raasch
-! Error removed: for a 1D-decomposition along x, the number PEs must also
-! be an integral divisor of the number of gridpoints along y
-!
-! Revision 1.20  2003/05/09 14:27:26  raasch
-! Setting 1d-decomposition as default on linux clusters
-!
-! Revision 1.19  2003/04/16 13:00:11  raasch
-! Call of fft_1dd_init, +module fft_for_1d_decomp
-!
-! Revision 1.18  2003/03/16 09:39:57  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.17  2003/03/12 16:32:47  raasch
-! A 1d-decomposition along x is the default on NEC hosts
-!
-! Revision 1.16  2002/12/19 15:40:39  raasch
-! In case of 1d-decomposition along x only a part of the integral divisor
-! conditions is checked, on IBM hosts a 1d-decomposition along x is the
-! default, a switch from Poisson-FFT-solver to the hybrid-solver is made
-! in case of 1d-decomposition along x, the hybrid-solver does not force a
-! 1d-decomposition any more, STOP replaced by call of local_stop
-!
-! Revision 1.15  2002/06/11 13:10:58  raasch
-! Usage of the Poisson-hybrid-solver forces a 1d-decomposition,
-! initialization of hybrid-solver
-!
-! Revision 1.14  2001/08/21  09:49:45  09:49:45  raasch (Siegfried Raasch)
-! MPI_COMM_WORLD replaced by comm_palm
-! 
-! Revision 1.13  2001/07/20 13:07:26  raasch
-! In case of using multigrid method, grid levels and additional MPI derived data
-! types are calculated. anz_yz and type_xz are now arrays.
-!
-! Revision 1.12  2001/03/30 07:32:01  raasch
-! Calculations of nw and nw1 removed,
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.11  2001/01/22 08:33:48  raasch
-! Module test_variables removed
-!
-! Revision 1.9  2000/12/28 13:16:37  raasch
-! definition of mpi_particle_type moved to subroutine init_particles
-!
-! Revision 1.8  2000/04/27 06:54:03  raasch
-! Processor topology can now be prescribed by the user using npex and npey,
-! all comments translated into English
-!
-! Revision 1.7  1999/11/25 16:23:36  raasch
-! MPI-Datentyp fuer Partikeltransfer vereinbart
-!
-! Revision 1.6  1998/07/16 06:50:23  raasch
-! cpp-Direktiven fuer t3ej2 und t3ej5 erweitert
-!
-! Revision 1.5  1998/07/06 12:17:06  raasch
-! + USE test_variables
-!
-! Revision 1.4  1998/03/18 20:13:42  raasch
-! myid_char auf 5 Zeichen erweitert
-!
-! Revision 1.3  1998/01/23 10:02:08  raasch
-! Gitterpunktzahlen und Datentyp fuer 2D-Randaustausch
-! anz_yz_p, type_xz_p in anz_yz und type_xz umbenannt
-!
-! Revision 1.2  1997/08/11 06:18:28  raasch
-! Gitterpunktanzahl von globalen Feldern werden berechnet
 !
 ! Revision 1.1  1997/07/24 11:15:09  raasch
Index: palm/trunk/SOURCE/init_pt_anomaly.f90
===================================================================
--- palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 2)
+++ palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 3)
@@ -8,23 +8,10 @@
 ! Former revisions:
 ! -----------------
-! $Log: init_pt_anomaly.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.7  2005/03/26 20:36:55  raasch
 ! Arguments for non-cyclic boundary conditions added to argument list of
 ! routine exchange_horiz
-!
-! Revision 1.6  2001/03/30 07:32:28  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.5  2001/01/22 19:40:09  letzel
-! All comments translated into English.
-!
-! Revision 1.4  2001/01/22 07:19:14  raasch
-! Module test_variables removed
-!
-! Revision 1.3  1998/07/06 12:17:25  raasch
-! + USE test_variables
-!
-! Revision 1.2  1997/09/12 06:26:16  raasch
-! Stoerungsradius jetzt proportional zur Gitterweite
 !
 ! Revision 1.1  1997/08/29 08:58:56  raasch
Index: palm/trunk/SOURCE/init_rankine.f90
===================================================================
--- palm/trunk/SOURCE/init_rankine.f90	(revision 2)
+++ palm/trunk/SOURCE/init_rankine.f90	(revision 3)
@@ -8,36 +8,10 @@
 ! Former revisions:
 ! -----------------
-! $Log: init_rankine.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.11  2005/03/26 20:38:49  raasch
 ! Arguments for non-cyclic boundary conditions added to argument list of
 ! routine exchange_horiz
-!
-! Revision 1.10  2004/01/28 15:11:27  raasch
-! Setting of bt before calling pres removed
-!
-! Revision 1.9  2001/03/30 07:32:49  raasch
-! Arguments removed from pres,
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.8  2001/01/22 19:44:52  letzel
-! All comments translated into English.
-!
-! Revision 1.7  2001/01/22 07:20:30  raasch
-! Module test_variables removed
-!
-! Revision 1.6  1998/07/06 12:17:44  raasch
-! + USE test_variables
-!
-! Revision 1.5  1998/04/15 11:20:38  raasch
-! pt, usws und vsws werden an pres uebergeben
-!
-! Revision 1.4  1997/09/12 06:26:30  raasch
-! Wirbelradius jetzt proportional zur Gitterweite
-!
-! Revision 1.3  1997/09/09 08:29:24  raasch
-! Kehrwerte der Gitterweiten implementiert
-!
-! Revision 1.2  1997/08/26 06:31:33  raasch
-! +tend in pres-Aufruf
 !
 ! Revision 1.1  1997/08/11 06:18:43  raasch
Index: palm/trunk/SOURCE/init_slope.f90
===================================================================
--- palm/trunk/SOURCE/init_slope.f90	(revision 2)
+++ palm/trunk/SOURCE/init_slope.f90	(revision 3)
@@ -1,5 +1,5 @@
  SUBROUTINE init_slope
 
-!-------------------------------------------------------------------------------!
+!------------------------------------------------------------------------------!
 ! Actual revisions:
 ! -----------------
@@ -8,16 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: init_slope.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.5  2006/02/23 12:35:34  raasch
 ! nanz_2dh renamed ngp_2dh
-!
-! Revision 1.4  2003/03/16 09:40:02  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.3  2001/03/30 07:33:59  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.2  2001/01/22 07:21:35  raasch
-! Module test_variables removed
 !
 ! Revision 1.1  2000/04/27 07:06:24  raasch
@@ -31,5 +24,5 @@
 ! Remember: when a sloping surface is used, only one constant temperature
 !           gradient is allowed!
-!-------------------------------------------------------------------------------!
+!------------------------------------------------------------------------------!
 
     USE arrays_3d
Index: palm/trunk/SOURCE/interaction_droplets_ptq.f90
===================================================================
--- palm/trunk/SOURCE/interaction_droplets_ptq.f90	(revision 2)
+++ palm/trunk/SOURCE/interaction_droplets_ptq.f90	(revision 3)
@@ -8,5 +8,7 @@
 ! Former revisions:
 ! -----------------
-! $Log: interaction_droplets_ptq.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.1  2005/06/26 19:57:47  raasch
 ! Initial revision
Index: palm/trunk/SOURCE/local_getenv.f90
===================================================================
--- palm/trunk/SOURCE/local_getenv.f90	(revision 2)
+++ palm/trunk/SOURCE/local_getenv.f90	(revision 3)
@@ -1,5 +1,5 @@
  SUBROUTINE local_getenv( var, ivar, value, ivalue )
 
-!-------------------------------------------------------------------------------!
+!------------------------------------------------------------------------------!
 ! Actual revisions:
 ! -----------------
@@ -8,17 +8,10 @@
 ! Former revisions:
 ! -----------------
-! $Log: local_getenv.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.5  2003/05/09 14:37:07  raasch
 ! On the MUK cluster, only PE0 is able to read environment variables.
 ! Therefore, they have to be communicated via broadcast to the other PEs.
-!
-! Revision 1.4  2003/03/16 09:40:22  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.3  2001/01/22 07:23:55  raasch
-! Comments translated into English
-!
-! Revision 1.2  1998/07/16 06:50:50  raasch
-! cpp-Direktiven fuer t3ej2 und t3ej5 erweitert
 !
 ! Revision 1.1  1997/08/11 06:21:01  raasch
@@ -29,5 +22,5 @@
 ! ------------
 ! Getting the values of environment-variabls (for different operating-systems)
-!-------------------------------------------------------------------------------!
+!------------------------------------------------------------------------------!
 
 #if defined( __lcmuk )
Index: palm/trunk/SOURCE/local_stop.f90
===================================================================
--- palm/trunk/SOURCE/local_stop.f90	(revision 2)
+++ palm/trunk/SOURCE/local_stop.f90	(revision 3)
@@ -1,5 +1,5 @@
  SUBROUTINE local_stop
 
-!-------------------------------------------------------------------------------!
+!------------------------------------------------------------------------------!
 ! Actual revisions:
 ! -----------------
@@ -8,5 +8,7 @@
 ! Former revisions:
 ! -----------------
-! $Log: local_stop.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.2  2003/03/16 09:40:28  raasch
 ! Two underscores (_) are placed in front of all define-strings
@@ -19,5 +21,5 @@
 ! ------------
 ! Stop program execution
-!-------------------------------------------------------------------------------!
+!------------------------------------------------------------------------------!
 
     USE pegrid
Index: palm/trunk/SOURCE/local_system.f90
===================================================================
--- palm/trunk/SOURCE/local_system.f90	(revision 2)
+++ palm/trunk/SOURCE/local_system.f90	(revision 3)
@@ -1,5 +1,5 @@
  SUBROUTINE local_system( command )
 
-!-------------------------------------------------------------------------------!
+!------------------------------------------------------------------------------!
 ! Actual revisions:
 ! -----------------
@@ -8,13 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: local_system.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.4  2003/03/16 09:40:33  raasch
 ! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.3  2001/01/22 07:25:35  raasch
-! Comments translated into English
-!
-! Revision 1.2  1998/07/16 06:51:19  raasch
-! cpp-Direktiven fuer t3ej2 und t3ej5 erweitert
 !
 ! Revision 1.1  1997/09/03 06:27:27  raasch
@@ -25,5 +21,5 @@
 ! ------------
 ! System calls for different operating systems
-!-------------------------------------------------------------------------------!
+!------------------------------------------------------------------------------!
 
     CHARACTER (LEN=*) ::  command
Index: palm/trunk/SOURCE/local_tremain.f90
===================================================================
--- palm/trunk/SOURCE/local_tremain.f90	(revision 2)
+++ palm/trunk/SOURCE/local_tremain.f90	(revision 3)
@@ -8,41 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: local_tremain.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.14  2006/06/02 15:20:33  raasch
 ! Extended to TIT Sun Fire X4600 System (lctit)
-!
-! Revision 1.13  2003/05/09 14:39:55  raasch
-! Time measurement on IBM is now done using function irtc, which allows correct
-! measurements for jobs running over the 24:00 timeline
-!
-! Revision 1.12  2003/03/16 09:41:49  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.11  2003/03/14 13:44:20  raasch
-! Print statement for testing removed
-!
-! Revision 1.10  2003/03/12 16:33:55  raasch
-! Extended to NEC-SX6 systems
-!
-! Revision 1.9  2002/12/19 15:49:17  raasch
-! Extended to IBM-Regatta systems
-!
-! Revision 1.8  2001/03/30 07:35:00  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.7  2001/01/22 08:34:53  raasch
-! Module test_variables removed
-!
-! Revision 1.5  1998/07/16 06:51:44  raasch
-! cpp-Direktiven fuer t3ej2 und t3ej5 erweitert
-!
-! Revision 1.4  1998/07/06 12:19:02  raasch
-! + USE test_variables
-!
-! Revision 1.3  1998/03/24 15:27:23  raasch
-! Zeitbestimmung auf t3eh aufgenommen
-!
-! Revision 1.2  1998/03/23 08:39:53  raasch
-! Bestimmung der verbleibenden Zeit auf vpp ergaenzt
 !
 ! Revision 1.1  1998/03/18 20:14:47  raasch
Index: palm/trunk/SOURCE/local_tremain_ini.f90
===================================================================
--- palm/trunk/SOURCE/local_tremain_ini.f90	(revision 2)
+++ palm/trunk/SOURCE/local_tremain_ini.f90	(revision 3)
@@ -8,39 +8,10 @@
 ! Former revisions:
 ! -----------------
-! $Log: local_tremain_ini.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.13  2007/02/11 13:07:03  raasch
 ! Allowed cpu limit is now read from file instead of reading the value from
 ! environment variable (see routine parin)
-!
-! Revision 1.12  2006/06/02 15:21:09  raasch
-! Extended to TIT Sun Fire X4600 System (lctit)
-!
-! Revision 1.11  2003/05/09 14:40:20  raasch
-! Time measurement on IBM is now done using function irtc, which allows correct
-! measurements for jobs running over the 24:00 timeline
-!
-! Revision 1.10  2003/03/16 09:42:01  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.9  2002/12/19 15:50:31  raasch
-! Measurements extended for IBM
-!
-! Revision 1.8  2001/03/30 07:35:16  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.7  2001/01/22 08:35:38  raasch
-! Module test_variables removed
-!
-! Revision 1.5  1998/07/16 06:52:11  raasch
-! cpp-Direktiven fuer t3ej2 und t3ej5 erweitert
-!
-! Revision 1.4  1998/07/06 12:19:21  raasch
-! + USE test_variables
-!
-! Revision 1.3  1998/03/24 15:27:38  raasch
-! Initialisierung auf t3eh ergaenzt
-!
-! Revision 1.2  1998/03/23 08:40:23  raasch
-! Initialisierung auf vpp ergaenzt
 !
 ! Revision 1.1  1998/03/18 20:15:05  raasch
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 2)
+++ palm/trunk/SOURCE/modules.f90	(revision 3)
@@ -9,260 +9,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: modules.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.95  2007/02/11 13:18:30  raasch
 ! version 3.1b (last under RCS control)
-!
-! Revision 1.94  2006/08/22 14:12:18  raasch
-! +dz_max,
-! id_var_dopts extended for second dimension
-!
-! Revision 1.93  2006/08/04 14:50:58  raasch
-! +c_0, diss, dt_min_part, end_time_prel, particles_per_point, sgs_wfu/v/w_part,
-! use_sgs_for_particles, use_upstream_for_tke needed for the particle package,
-! +dt_sum, e_m, speed_x/y/z/_sgs in particle_type,
-! +dt_dopts, time_dopts, netcdf ids for output of particle time series,
-! do2d_unit and do3d_unit now defined as 2d-arrays, izuf renamed iran
-!
-! Revision 1.92  2006/06/02 15:21:45  raasch
-! +NetCDF ids for the shifted u- and v-grid, +data_output_xy/xz/yz
-!
-! Revision 1.91  2006/04/26 12:22:52  raasch
-! +threads_per_task,
-! sums_l, sums_l_l arrays changed to three dimensions
-!
-! Revision 1.90  2006/04/11 14:58:27  raasch
-! pl_spectra renamed data_output_sp, length of run_identifier increased to 80
-!
-! Revision 1.89  2006/03/14 12:55:52  raasch
-! Default for number_of_particle_groups changed to 1
-!
-! Revision 1.88  2006/03/03 14:26:53  letzel
-! control parameter topography now has length 40
-!
-! Revision 1.87  2006/03/03 08:50:25  raasch
-! Default value for surface_heatflux changed to 9999999.9
-!
-! Revision 1.86  2006/02/23 12:39:14  raasch
-! Version 3.0 with topography
-! index arrays nzb_2d replaced by several new variable dependend arrays
-! (e.g. nzb_u_inner), nzb_diff_2d removed, +new grid point
-! counters ngp_2dh_outer and ngp_3d_inner,
-! +skip time control parameters skip_time_..., +log_message,
-! particle parameters psl, psr, pss, psn, psb, pst, pdx, pdy, pdz
-! are now 1D arrays (1:max_number_of_particle_groups), default of
-! number_of_particle_groups changed to 999999, idum in particle_type renamed
-! tail_id,
-! +data_output, data_output_user, do2d, do3d, doav for new steering of data
-! output,
-! +type_x_int for ghost exchange of integer arrays,
-! +netcdf_64bit for supporting NetCDF 64-bit offset format,
-! +mixing_length_1d, dissipation_1d for steering the 1d-model,
-! +e_min (control parameter for minimum tke), +parameters for assuring a
-! constant volume flow, +prt_count, prt_start_index, particle_advection,
-! ebene renamed section, nt_anz renamed current_timestep_number, anz_y..
-! renamed ngp_y.., nanz_sums, nanz_2dh, nanz_3d renamed ngp_sums, ngp_2dh,
-! ngp_3d, respectively, pl1d_anz, pl2d_.._anz, plts_anz, pl3d_anz renamed
-! dopr_n, pl2d_.._no, dots_n, do3d_n, respectively,
-! ql_v and ql_vp now have the target attribute,
-! average_period_pr1d removed
-!
-! Revision 1.85  2005/12/06 16:40:56  raasch
-! Version 2.11c
-!
-! Revision 1.84  2005/10/20 15:38:23  raasch
-! +id_var_rnop_prt, some values of prt_var_names and prt_var_units changed
-!
-! Revision 1.83  2005/06/29 10:40:30  steinfeld
-! Scalars ug and vg changed into one-dimensional arrays;
-! +ug_surface, ug_vertical_gradient, ug_vertical_gradient_level,
-!  ug_vertical_gradient_level_ind,
-!  vg_surface, vg_vertical_gradient, vg_vertical_gradient_level,
-!  vg_vertical_gradient_level_ind
-!
-! Revision 1.82  2005/06/26 20:03:33  raasch
-! +ql_1, ql_2, ql_m, ql is now a pointer, +variables for cloud droplets (arrays
-! ql_v,ql_vp, pointer ql_c), gas_constant renamed r_d, latent_heat renamed l_v,
-! radius instead of diameter, radius + weighting factor included in
-! particle_type, pl2d and pl3d string length increased from 6 to 10,
-! default of call_psolver_at_all_substeps is TRUE
-!
-! Revision 1.81  2005/05/18 15:36:46  raasch
-! New module netcdf_control, +data_output_format, pl1d_callcount renamed
-! dopr_time_count,
-! default values of pl_spectra and spectra_direction changed
-!
-! Revision 1.80  2005/04/23 09:31:14  raasch
-! Implicit counters i renamed i9 due to declaration conflicts with i in other
-! subroutines (reported by Portland compiler),
-! crmax increased to 100, fcl_factor renamed cfl_factor
-!
-! Revision 1.79  2005/03/26 20:40:48  raasch
-! +variables for non-cyclic boundary conditions, call_psolver_at_all_substeps,
-! default value for residual limit increased from 1E-6 to 1E-4
-!
-! Revision 1.78  2004/04/30 12:30:01  raasch
-! idum added in particle_type for better alignment (decalpha),
-! DATA statements replaced by (/ .../) because of internal compiler errors
-! on decalpha, + indices for direct transpositions z --> y,
-! dt_max_1d increased to 300.0 (from 60.0), +grid_matching,
-! arrays cross_ts_numbers and cross_ts_number_count enlarged,
-! impulse_advec renamed momentum_advec
-!
-! Revision 1.77  2004/01/30 10:30:26  raasch
-! +index arrays nzb_2d, nzb_diff_2d
-!
-! Revision 1.76  2004/01/28 15:25:15  raasch
-! +array tsc for timestep steering, +tu_m, tv_m etc. pointer for additional
-! tendencies needed for Runge-Kutta scheme, +intermediate_timestep_count(_max)
-! type log changed to logpoint due to name conflict with intrinsic log
-!
-! Revision 1.75  2003/10/29 08:58:54  raasch
-! +mg_cycles, mg_switch_to_pe0, mg_switch_to_pe0_level in module
-! control_parameters,
-! +mg_loc_ind in module indices, variables related to particle groups added
-! to module particle_attributes
-!
-! Revision 1.74  2003/08/01 08:40:59  raasch
-! +isclice_dvrp, lock_steering_update, slicer_position_dvrp,
-! slicer_range_limits_dvrp in module dvrp_variables
-!
-! Revision 1.73  2003/05/09 14:41:11  raasch
-! New version number 2.7
-!
-! Revision 1.72  2003/04/25 18:54:39  raasch
-! Module mpi added in module pegrid in case of linux cluster
-!
-! Revision 1.71  2003/04/16 13:27:33  raasch
-! Arrays cross_ts_uy... enlarged
-!
-! Revision 1.70  2003/04/16 13:07:43  raasch
-! Array cross_ts_profiles enlarged
-!
-! Revision 1.69  2003/03/16 09:42:07  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.68  2003/03/14 13:44:52  raasch
-! +random_generator in control_parameters
-!
-! Revision 1.67  2003/03/12 16:34:19  raasch
-! +tasks_per_node in pegrid
-!
-! Revision 1.66  2003/03/04 11:32:50  raasch
-! +type steering, +steering_dvrp in dvrp_variables
-!
-! Revision 1.65  2002/12/19 15:52:37  raasch
-! +initial_wallclock_time in cpulog, +myid_char_14 in pegrid,
-! default value for termination_time_needed now set in check_parameters,
-! array dl_grid removed, +wall_adjustment_factor, dt_restart, restart_time,
-! time_restart
-!
-! Revision 1.64  2002/09/12 13:05:44  raasch
-! Default values of *_vertical_gradient_level changed from 100000.0 to -1.0,
-! +molecular_viscosity, density_ratio
-!
-! Revision 1.63  2002/06/11 13:12:29  raasch
-! Entrys buoyancy, diffusion_e, diffusion_s, diffusion_u, diffusion_v and
-! diffusion_w removed from module pointer_interfaces,
-! length of character variables host + psolver increased to 64 and 16
-!
-! Revision 1.62  2002/05/02 18:53:18  raasch
-! Module singleton moved to a separate file. Arrays e_3, pt_3, q_3, u_3, v_3,
-! w_3 re-introduced. Pointer e_p, pt_p, q_p, u_p, v_p, w_p re-introduced.
-!
-! Revision 1.61  2002/04/16 08:09:32  raasch
-! Information about speed components and start positions included in
-! particle_type, +dt_write_particle_data, particle_advection_start,
-! time_write_particle_data and parameters for particle boundary conditions,
-! +vertical_particle_advection,
-! + variables for scalar boundary conditions and initialization
-!
-! Revision 1.60  2001/11/12 16:05:01  raasch
-! +read_particles_from_restartfile
-!
-! Revision 1.58  2001/09/04 12:00:52  raasch
-! New version number 2.3b
-!
-! Revision 1.57  2001/08/21 09:52:08  raasch
-! +comm_palm, maximum_number_of_tailpoints, maximum_tailpoint_age,
-! minimum_tailpoint_distance, particle_tail_coordinates, superelevation_x,
-! superelevation_y, wall_adjustment
-!
-! Revision 1.56  2001/07/20 13:09:07  raasch
-! +grid_level, maximum_grid_level, cycle_mg, gamma_mg, ngsrb,
-! residual_limit in control_parameters, +dzu_mg, dzw_mg, f1_mg, f2_mg, f3_mg
-! in arrays_3d, +superelevation in dvrp_variables, +nxl_mg .. nzt_mg in
-! indices, +ddx2_mg, ddy2_mg in grid_variables
-!
-! Revision 1.55  2001/07/12 12:13:24  raasch
-! default of bc_e_b changed from (u*)**2+neumann to neumann,
-! +particle_maximum_age, psl-pst, pdx-pdz,
-! default values defined for dvrp_directory, dvrp_file, dvrp_host, dvrp_password
-! SAVE-statements added to all modules
-!
-! Revision 1.54  2001/03/30 07:35:57  raasch
-! Interface for advec_s_bc changed, interface for production_e eliminated,
-! arrays work, work1, e_3, pt_3, q_3, u_3, v_3, w_3 removed,
-! pointer e_p, pt_p, q_p, u_p, v_p, w_p removed,
-! -nw, nw1,
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.53  2001/01/30 01:57:16  raasch
-! +passive_scalar
-!
-! Revision 1.51  2001/01/26 00:31:49  raasch
-! +fft_method, use_surface_fluxes in steuer, +module singleton,
-! +write_particle_informations in particle_attributes
-!
-! Revision 1.49  2001/01/05 15:13:16  raasch
-! new module spectrum for computing spectra, +average_count_sp,
-! averaging_interval_sp, dt_dosp, time_average_sp, time_dosp in module steuer,
-! +spectrum_x, spectrum_y in module statistik
-!
-! Revision 1.48  2001/01/02 17:31:36  raasch
-! openfile has the new type file_status, version updated to 2.1a
-!
-! Revision 1.47  2000/12/30 18:48:53  raasch
-! Default value of mode_dvrp changed
-!
-! Revision 1.46  2000/12/28 13:21:35  raasch
-! version updated to 2.1
-!
-! Revision 1.45  2000/12/28 13:19:35  raasch
-! +mode_dvrp, +interval_..._dvrp, REAL*4 changed to REAL in particle_attributes,
-! +dt_prel, time_prel, -particle_transport
-!
-! Revision 1.44  2000/07/03 13:02:32  raasch
-! version updated to 2.0b
-!
-! Revision 1.43  2000/07/03 12:59:53  raasch
-! +dvrp_directory, dvrp_host, dvrp_password, dvrp_username,
-! new module pointer_interfaces which includes interfaces for subroutines with
-! pointer arguments called in prognostic_equations
-!
-! Revision 1.42  2000/04/27 07:35:56  raasch
-! npex and npey must be defined in general (not only for parallel case)
-!
-! Revision 1.41  2000/04/27 07:07:14  raasch
-! +pt_slope_offset, pt_slope_ref, npex, npey, dt_dvrp, time_dvrp,
-! new module dvrp_variables
-! -dt_plisos, dt_plpart, isosurface_filecount, time_plisos, time_plpart
-! Version 2.0a, all comments translated into English, old revision remarks
-! deleted
-!
-! Revision 1.40  2000/04/13 13:17:25  schroeter
-! Felder fuer Wolkenphysik zu Modul arrays3d hinzugefuegt, neues Modul
-! (cloud_parameters) fuer Wolkenphysikparameter eingefuegt
-!
-! Revision 1.39  2000/01/10  10:05:11  10:05:11  raasch (Siegfried Raasch)
-! +use_ug_for_galilei_tr, Aufteilung der zeitabhaengigen Groessen in pointer
-! und targets, + timestep_count
-! 
-! Revision 1.38  1999/12/28 10:06:52  raasch
-! +Variablen fuer Plot von Isooberflaechen
-!
-! Revision 1.37  1999/11/25 16:26:38  raasch
-! Neues Modul particle_attributes,
-! +Variablen fuer Partikelverlagerung: particle_transport, dt_plpart,
-! Version 1.1e
 !
 ! Revision 1.1  1997/07/24 11:21:26  raasch
Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 2)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 3)
@@ -11,50 +11,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: netcdf.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.12  2006/09/26 19:35:16  raasch
 ! Bugfix yv coordinates for yz cross sections
-!
-! Revision 1.11  2006/08/22 14:13:11  raasch
-! Extension for timeseries information of particle groups,
-! xz and yz cross sections now up to nzt+1
-!
-! Revision 1.10  2006/08/04 14:51:42  raasch
-! Extensions for output of particle time series
-! do2d_unit and do3d_unit now defined as 2d-arrays
-!
-! Revision 1.9  2006/06/13 13:01:08  raasch
-! Some errors of revision 1.8 removed
-!
-! Revision 1.8  2006/06/02 15:23:13  raasch
-! x- and y-coordinates of 2d- and 3d-variables are now precisely defined
-! depending on which grid (u-, v- or scalar) the respective variable is defined
-!
-! Revision 1.7  2006/04/21 14:23:47  letzel
-! Error removed in extend mode when checking whether the selected cross sections
-! match those in the already existing NetCDF file.
-!
-! Revision 1.6  2006/04/11 14:58:47  raasch
-! pl_spectra renamed data_output_sp
-!
-! Revision 1.5  2006/02/23 12:42:07  raasch
-! Extensions for output of 2d/3d time averaged data, definition of grids for
-! user-defined output quantities,
-! error removed getting the variable ids for _ext for profiles and time series,
-! ebene renamed section, pl1d_anz renamed dopr_n,
-! error number argument for handle_netcdf_error,
-! no optimization on ibmy due to compiler error
-!
-! Revision 1.4  2005/12/06 16:42:57  raasch
-! Error in netcdf variable declaration for statistic_regions /= 0 removed
-!
-! Revision 1.3  2005/10/20 15:40:17  raasch
-! real number of particles is additionally contained as a variable on the
-! particle data file,
-! pr_xz added to vertical cross sections,
-! error removed in calculating y axis data for yz cross sections
-!
-! Revision 1.2  2005/06/26 20:04:31  raasch
-! Particle output extended, 2d- and 3d-files are not opened if there is no
-! output for these files (pl2d=pl3d=' ')
 !
 ! Revision 1.1  2005/05/18 15:37:16  raasch
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 2)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 3)
@@ -8,58 +8,10 @@
 ! Former revisions:
 ! -----------------
-! $Log: package_parin.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.18  2006/08/04 14:52:23  raasch
 ! +dt_dopts, dt_min_part, end_time_prel, particles_per_point,
 ! use_sgs_for_particles in particles_par
-!
-! Revision 1.17  2006/04/11 14:59:05  raasch
-! pl_spectra renamed data_output_sp
-!
-! Revision 1.16  2006/02/23 12:43:24  raasch
-! +number_of_particle_groups, skip_particles_for_tail, use_particle_tails in
-! particles_par,
-! +skip_time_dosp in spectra_par,
-! dt_plsp renamed dt_dosp, default setting of dt_dops,
-! set flag particle_advection
-!
-! Revision 1.15  2005/06/26 20:05:42  raasch
-! diameter renamed radius
-!
-! Revision 1.14  2003/10/29 09:01:29  raasch
-! +diameter in particles_par, uniform_psize renamed dvrp_psize
-!
-! Revision 1.13  2003/08/01 08:43:33  raasch
-! +slicer_range_limits_dvrp in dvrp_graphics_par
-!
-! Revision 1.12  2003/03/16 09:42:11  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.11  2002/09/12 13:06:50  raasch
-! +density_ratio in particles_par
-!
-! Revision 1.10  2002/04/16 08:10:08  raasch
-! +variables for particle boundary conditions, +vertical_particle_advection
-! in particles_par
-!
-! Revision 1.9  2001/11/12 16:07:04  raasch
-! +read_particles_from_restartfile
-!
-! Revision 1.7  2001/08/21 09:52:55  raasch
-! +superelevation, superelevation_x, superelevation_y in dvrp_graphics_par,
-! +maximum_number_of_particles, maximum_number_of_tailpoints,
-! maximum_tailpoint_age, minimum_tailpoint_distance in particles_par
-!
-! Revision 1.6  2001/07/12 12:42:49  raasch
-! +several new parameters in dvrp_graphics_par and particles_par
-!
-! Revision 1.5  2001/03/30 07:37:56  raasch
-! Namelist names changed,
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.4  2001/01/25 07:10:48  raasch
-! +write_particle_informations
-!
-! Revision 1.2  2001/01/05 15:13:34  raasch
-! Spectra package added
 !
 ! Revision 1.1  2000/12/28 13:21:57  raasch
